Name: installer-hpc
Version: 0.2
Release: alt5

Summary: Installer common files
License: GPL
Group: System/Configuration/Other

Packager: Stanislav Ievlev <inger@altlinux.org>

Source: %name-%version.tar

BuildRequires: alterator rpm-devel

%description
Installer common files

%package stage2
Summary: Installer stage2
License: GPL
Group: System/Configuration/Other
Requires: %name = %version-%release
Requires: installer-stage2
#modules
Requires: alterator-sysconfig
Requires: alterator-license
Requires: alterator-tzone openntpd
Requires: alterator-datetime
Requires: alterator-vm
Requires: x-cursor-theme-jimmac

%description stage2
Installer stage2

%package stage3
Summary: Installer stage3
License: GPL
Group: System/Configuration/Other
Requires: %name = %version-%release
Requires: installer-stage3
#modules
Requires: alterator-lilo
Requires: alterator-users
Requires: alterator-pkg
Requires: alterator-net-eth dhcpcd
Requires: alterator-net-general
Requires: alterator-hpc
#postinstall hacks
Requires: alterator-auth pam_ldap
Requires: alterator-nsswitch nss_ldap

%description stage3
Installer stage3

%prep
%setup -q

%install
%makeinstall

%files
%_datadir/install2/help/*

%files stage2
%_datadir/install2/installer-steps
%_datadir/install2/postinstall.d/*
%_datadir/install2/steps/*

%files stage3

%changelog
* Wed Dec 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt5
- add step to re-enable copying from cdrom

* Thu Oct 25 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt4
- switch to modern pkg step

* Fri Oct 12 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt3
- use default finish step

* Tue Oct 09 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- add help

* Fri Oct 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- new profile system

* Thu Oct 04 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt9
- language is a real step now

* Thu Sep 27 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt8
- add syslog-ng tuning

* Tue Sep 25 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt7
- use HPC specific finish step

* Thu Sep 20 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt6
- use language step from separate package

* Wed Sep 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- use license step from separate package

* Fri Sep 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- remove conflict between stages

* Mon Sep 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- add tuning of PXE packages

* Mon Sep 03 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- add step to setup openldap

* Tue Aug 28 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial build
